Subject: Bug#323: 323 bug

From: Eric Forgeot <[email-masked]>
Date: Wed, 23 Apr 2014 12:40:59 +0200

it seems for me the problem was not from my home folder, but from the
/tmp folder, when trying to create the sessions. The /tmp folder was
in read write access for everyone but it complained it was needed to
set the /tmp/.X11-unix/ folder to 1777, which I did, and now it's
working again.

The error message from the client was not really helpfull. I noticed
the problem when trying to start x2goagent from the commandline on the
server:

_XSERVTransmkdir: ERROR: Mode of /tmp/.X11-unix must be set to 1777
_XSERVTransSocketUNIXCreateListener: mkdir(/tmp/.X11-unix) failed,
errno = 9 _XSERVTransMakeAllCOTSServerListeners: failed to create
listener for local

So there is a process on my computer which is changing the rights on
my /tmp folder but I don't know which one at the moment...